export default class Async {
  withCallback(callback: (value: string) => void) {
    setTimeout(() => callback('Hello World'), 1000);
  }
  withPromise() {
    return new Promise((resolve) => this.withCallback(resolve));
  }
}
